Many webmasters are engaged with WordPress to establish their business by taking advantage of using the blogging software. Although there are number of benefits to be realized by using WordPress, some entrepreneurs are facing serious issues like security vulnerability. In order to make sure its users have the most secure platform available WordPress has released a new version 2.8.2 security patch.

This new version will help webmasters to get rid of an XSS vulnerability that was identified by a site admin. The XSS vulnerability will allow hackers to access the admin page by inserting certain code in a form. The previous version of WordPress 2.8.1 was released just two weeks ago.

Anyone running WordPress 2.8 or 2.8.1 can upgrade to this latest version right away. The latest major version is faster than ever. Don’t delay! WordPress 2.8.2 is available for download here. Development on 2.9 is already underway, with a bunch of feature list. Hope the WordPress team will release it soon.